/// @file
/// Main source file.

/**
@defgroup MyGroup1
@brief Module One.

This is the first module.
*/

/**
  @defgroup MyGroup2
  @brief Module Two.

  This is the second module.
*/

#include <cstdio>

/// @ingroup MyGroup1
/// A simple function.
void SayHello()
{
    std::printf("Hello!\n");
}

/// @ingroup MyGroup2
/// Main function.
void main()
{
    SayHello();
}
